보안이슈

보안이슈

게시물 상세
[EhostICT] Apache Tomcat 취약점 보안 업데이트 권고
작성자 : 관리자(jieun@ehostidc.co.kr)  작성일 : 2020-05-27   조회수 : 8477

□ 개요
 o Apache Tomcat
에서 신규 취약점을 해결한 보안 업데이트 발표[1]
 o
취약한 버전을 사용 중인 서버의 담당자는 제조사의 홈페이지를 참고하여 최신 버전으로 업데이트 권고
 
Apache Tomcat : 오픈소스 기반 웹 어플리케이션 서버
 
□ 설명
 o Apache Tomcat
에서 특정 조건*이 성립되는 경우, 공격자의 악성 요청 메시지가 역직렬화되어 발생하는 임의코드 실행 취약점(CVE-2020-9484) [1]
 *
특정조건
 1.
톰캣 서버의 PersistenceManager Filestore를 사용하도록 설정된 경우
 2. PersistenceManager
sessionAttributeValueClassNameFilter 항목이 "null"로 설정되거나 공격자가 제공한 객체의 검증이 미흡한 경우
 3.
공격자가 톰캣 서버의 컨텐츠와 파일의 이름을 설정할 수 있는 경우
 4.
공격자가 FileStore에서 사용되는 저장 위치와 제어할 수 있는 파일의 상대 경로를 알고 있는 경우
 
4가지 조건이 모두 성립해야 취약점에 영향 받음
 
□ 영향을 받는 제품 및 최신 버전
 o Apache Tomcat 10
점대 버전 : 10.0.0-M5(최신버전) 미만 버전
 o Apache Tomcat 9
점대 버전 : 9.0.35(최신버전) 미만 버전
 o Apache Tomcat 8
점대 버전 : 8.5.55(최신버전) 미만 버전
 o Apache Tomcat 7
점대 버전 : 7.0.104(최신버전) 미만 버전
 
□ 기타 문의사항
 o
한국인터넷진흥원 사이버민원센터: 국번 없이 118
 
[
참고사이트]
[1] https://tomcat.apache.org/security-10.html
 

 




□ 작성 : 침해사고분석단 취약점분석팀

이전글 [EhostICT] Apple 제품군 보안 업데이트 권고
다음글 [EhostICT] Cisco Unified CCX 취약점 보안 업데이트 권고